// gnome.xonotic.in.ua

flareshader
{
	cull none
	{
		map gfx/misc/flare.tga
		blendfunc gl_one gl_one
		rgbgen vertex
	}
}

models/mapobjects/jets/jet_1
{
	surfaceparm trans
	nomipmaps
	cull disable
	{
		map models/mapobjects/jets/jet_1.tga
		blendfunc add
		tcmod scale .5 1
		tcmod scroll 6 0
		rgbgen identity
	}
	{
		map models/mapobjects/jets/jet_2.tga
		blendfunc add
		tcmod scroll 3 -.5
		rgbgen wave inversesawtooth -.3 1.3 0 .5
	}
}

models/mapobjects/jets/jet_as
{
	deformvertexes autosprite2
	deformvertexes wave 100 sin 0 1 0 9
	surfaceparm trans
	nomipmaps
	{
		map models/mapobjects/jets/jet_as.tga
		blendfunc add
		rgbgen identity
	}
}

models/mapobjects/kmlamp_white
{
	surfaceparm trans
	{
		map textures/effects/tinfxb.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

models/mapobjects/lamps/bot_flare
{
	deformvertexes autosprite
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap models/mapobjects/lamps/bot_flare.tga
		blendfunc gl_one gl_one
		tcmod rotate 20
	}
}

models/mapobjects/lamps/bot_flare2
{
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	deformvertexes wave 100 sin 0 1 0 9
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/lamps/bot_flare2.tga
		blendfunc gl_one gl_one
	}
}

models/mapobjects/lamps/bot_lamp
{
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	{
		map models/mapobjects/lamps/bot_lamp.tga
		rgbgen vertex
	}
}

models/mapobjects/lamps/bot_lamp2
{
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	{
		map models/mapobjects/lamps/bot_lamp2.tga
		rgbgen vertex
	}
}

models/mapobjects/lamps/bot_wing
{
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	deformvertexes wave 100 sin 0 .5 0 .5
	cull disable
	{
		map models/mapobjects/lamps/bot_wing.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/lamps/flare03
{
	deformvertexes autosprite
	q3map_surfacelight 200
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/lamps/flare03.tga
		blendfunc gl_one gl_one
	}
}

models/mapobjects/teleporter/energy
{
	cull disable
	{
		map models/mapobjects/teleporter/energy.tga
		blendfunc gl_one gl_one
		tcmod scroll 2.2 1.3
		rgbgen wave inversesawtooth -.3 1.3 0 1.3
	}
	{
		map models/mapobjects/teleporter/energy2.tga
		blendfunc gl_one gl_one
		tcmod scroll -1 .5
		rgbgen wave inversesawtooth -.2 1.2 0 .5
	}
	{
		map models/mapobjects/teleporter/energy3.tga
		blendfunc gl_one gl_one
		tcmod scroll 3 0
		rgbgen wave triangle 1 1 0 5.3
	}
}

models/mapobjects/teleporter/teleporter_edge
{
	{
		map models/mapobjects/teleporter/teleporter_edge.tga
		rgbgen vertex
	}
	{
		map models/mapobjects/teleporter/teleporter_edge2.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 .2 1.5
	}
}

models/mapobjects/teleporter/transparency
{
	cull disable
	{
		map models/mapobjects/teleporter/transparency.tga
		blendfunc gl_one gl_one
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc gl_one gl_one
		tcmod scroll .1 .2
	}
}

models/mapobjects/teleporter/widget
{
	cull disable
	{
		map models/mapobjects/teleporter/widget.tga
		blendfunc gl_one gl_one
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc gl_one gl_one
		tcmod scroll -.1 -.2
	}
}

textures/base_floor/diamond2c_ow
{
	surfaceparm metalsteps
	{
		map textures/sfx/proto_zzztblu2.tga
		tcmod turb 0 .5 0 9.6
		tcmod scale 2 2
		tcmod scroll 9 5
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/base_floor/diamond2c_ow.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_floor/diamond2cspot
{
	surfaceparm metalsteps
	{
		map textures/liquids/proto_grueldark2.tga
		blendfunc gl_one gl_zero
		tcmod scale 2 2
		tcmod scroll .01 .03
		tcmod turb 0 0.05 0 .05
	}
	{
		map textures/effects/tinfx3.tga
		blendfunc gl_one gl_one
		tcgen environment
	}
	{
		map textures/base_floor/diamond2cspot.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_light/geolight
{
	q3map_lightimage textures/base_light/geolight_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/geolight.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
	{
		map textures/base_light/geolight_glow.tga
		blendfunc add
		rgbgen wave sin .575 .025 0 10
	}
}

textures/base_trim/border11_250
{
	qer_editorimage textures/base_trim/border11light.tga
	q3map_surfacelight 250
	q3map_lightimage textures/base_trim/border11light.glow.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_trim/border11light.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/base_trim/border11light.glow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .9 .1 0 10
	}
}

textures/base_trim/tin
{
	{
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
	{
		map textures/base_trim/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/sfx/diamond2cjumppad
{
	qer_editorimage textures/sfx/bouncepad01_diamond2ctga.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 500
	{
		map textures/sfx/bouncepad01_diamond2ctga.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/launchpad_diamond
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sfx/launchpad_diamond.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/launchpad_dot.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 1
	}
	{
		animmap 4 textures/sfx/launchpad_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}
}

textures/skies/xblacksky_dm7
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		map gfx/colors/black.tga
	}
}

